## Name

SLEEP — Suspend process for period of time

## Synopsis

`sleep` `tickcount`

## Description

This command puts the user's process to “sleep” for a number of clock ticks. It is generally used to generate time delays or to “break up” CPU-intensive jobs. The duration of a tick is 16.66 milliseconds.

A tick count of 1 causes the process to “give up” its current time slide. A tick count of zero causes the process to sleep indefinitely (usually awakened by a signal)

## Examples

    OS9: sleep 25